package XButtler::Common;

use strict;
use vars qw(@EXPORT @ISA);
require Exporter;


@ISA = qw(Exporter);
@EXPORT = qw ( ERROR TRUE FALSE trace);

use constant ERROR		=> -1;
use constant FALSE		=> 0;
use constant TRUE		=> 1;

sub trace {

        my ($line) = ( caller( 0 )) [ 2 ]; 
        my ($routine) = ( caller( 1 )) [ 3 ];
        return $line . ":" .  $routine . "(): ";
}
